  <div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header"><i class="icon-map"></i>Allocate Asset</div>
        <div class="card-body">
            <form [formGroup]="allocateAssetForm" (ngSubmit)="onSubmit()">

            <div class="form-group">
              <label for="batteryId">Battery</label>
                <input 
                  type="text" 
                  list="batteryList" 
                  formControlName="batteryId"
                  class="form-control"
                  placeholder="Type to select Battery"
                  (input)="valuechange()">
                <datalist id="batteryList">
                  <option *ngFor="let battery of batteries" value="{{ battery.batteryPackId}}">{{ battery.capLeft}}</option>
                </datalist>
                <div *ngIf="allocateAssetForm.get('batteryId').invalid && allocateAssetForm.get('batteryId').touched" class="alert alert-danger">

                <div *ngIf="allocateAssetForm.get('batteryId').errors.required">
                  Battery is required.
                </div>
            </div>
            </div>

            <div class="form-group">
              <label for="driverId">Driver</label>
                <input 
                  type="text" 
                  list="dataList" 
                  formControlName="driverId"
                  class="form-control"
                  placeholder="Type to select Driver"
                  >
                <datalist id="dataList">
                  <option *ngFor="let driver of driverUnAssigned" value="{{ driver.driverId}}">{{ driver.driverName}}</option>
                </datalist>
                <div *ngIf="allocateAssetForm.get('driverId').invalid && allocateAssetForm.get('driverId').touched" class="alert alert-danger">

                  <div *ngIf="allocateAssetForm.get('driverId').errors.required">
                    Driver is required.
                  </div>
                </div>
            </div>

            <div class="form-group">
              <label for="capacity">Capacity<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="capacity"
                class="form-control"
                placeholder="Select Battery"
                readonly="readonly" 
              >
            </div>

            <div class="form-group">
              <label for="kmEstimated">KM Estimated<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="kmEstimated"
                class="form-control"
                placeholder="Select Battery"
                readonly="readonly" 
              >
            </div>

            <button 
               class="btn btn-primary"
               type="submit"
               [disabled]="allocateAssetForm.invalid"><i class="fa fa-dot-circle-o ">&nbsp;</i>Allocate</button>
          </form>
        </div>
      </div>
    </div>
  </div>

